Bug 1098362 - [webTran ] download link in editor doesn't encode properly and result in 404
Summary: [webTran ] download link in editor doesn't encode properly and result in 404
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic (Show other bugs)
(Show other bugs)
Version: 3.3
Hardware: Unspecified Unspecified
low
low
Target Milestone: ---
: 3.7
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords: screened
Depends On: 1123163
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 00:58 UTC by Patrick Huang
Modified: 2015-07-22 02:20 UTC (History)
4 users (show)

Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3634)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 02:20:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1225689 None None None Never

Description Patrick Huang 2014-05-16 00:58:48 UTC
Description of problem:
When doc id contains special characters that needs to be url encoded, the link in editor will break.


Version-Release number of selected component (if applicable):
3.3-

How reproducible:
Always

Steps to Reproduce:
1. Upload a file with path including special url unfriendly characters such as C:\My Documents\hello.txt
2. Go to editor can click on the .txt or .po link to download

Actual results:
404 not found

Expected results:
Download successful. Same as clicking on files page outside of editor.

Additional info:
For an live example, see https://translate.zanata.org/zanata/webtrans/translate?project=ZAT1&iteration=ZAT_1.0&localeId=fr&locale=en

Comment 1 Isaac Rooskov 2014-08-06 02:03:38 UTC
Workaround exists: Find the document via the project-version document list and download it from there

Comment 2 Damian Jansen 2014-08-29 00:15:41 UTC
Sounds like a symptom of https://bugzilla.redhat.com/show_bug.cgi?id=1123163

Comment 3 Patrick Huang 2015-03-11 00:46:30 UTC
Workaround exists so lower the priority

Comment 4 Alex Eng 2015-05-26 04:40:15 UTC
Pull request:

https://github.com/zanata/zanata-server/pull/829

Comment 5 Ding-Yi Chen 2015-05-28 02:13:18 UTC
VERIFIED with Zanata 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3634)


Note You need to log in before you can comment on or make changes to this bug.